+++
short-description = "Basic VirtualBox tips for developers not familiar with that technology"
license = "CC-BY-SAv4.0"
title = "Managing the Virtual Machine"
weight = 100
aliases = [ "/old-developer/latest/vm-management.html", "/old-developer/v2019/vm-management.html", "/old-developer/v2020/vm-management.html", "/old-developer/v2021pre/vm-management.html", "/old-developer/v2022dev0/vm-management.html",]
outputs = [ "html", "pdf-in",]
date = "2016-04-20"
+++

# Shutting down / restarting the virtual machine

If you want to shut the virtual machine down, you can use the icon in the top right corner of the screen. If you want to restart it, go to **Applications Menu** and click **Log Out**:

![](/images/fig-11.png)

In the dialog box, you can choose if you want to log out, restart the virtual machine, or shut it down.

![](/images/fig-12.png)

# Uninstall the virtual machine

To uninstall the virtual machine, open VirtualBox and right click the machine you want to remove. Chose **Remove** from the menu.

![](/images/fig-13.png)

In the following dialog you can decide if you want to remove the virtual machine from VirtualBox or if you want to delete the files containing the virtual machine from your hard drive as well. This will remove the hard drive of the virtual machine and all files saved there. Please make sure to make backups of the files you still need before deleting all files. **Remove only** will just delete the virtual machine from VirtualBox but leave the files containing the virtual machine intact.

# Audio settings

In order to make sure that the audio player output is heard from the simulator make sure that the below settings are done:

- Unmute Audio in host machine.

- Go to `Applications menu ▸ Multimedia ▸ Pulse Audio Volume Control`

- Select **Output Devices** tab.

- Make sure that the Audio speaker is **Unmuted**.

With these settings, Audio player output should be heard over speakers.
