+++
short-description = "Various internet utilities provided by the SDK"
license = "CC-BY-SAv4.0"
title = "Internet Services"
weight = 100
aliases = [ "/old-developer/latest/internet.html", "/old-developer/v2019/internet.html", "/old-developer/v2020/internet.html", "/old-developer/v2021pre/internet.html", "/old-developer/v2022dev0/internet.html",]
outputs = [ "html", "pdf-in",]
date = "2016-04-20"
+++

# Provides:

- http clients

- Connected services (PIM)

# Enabling components:

- libcurl - the multiprotocol file transfer library
  (http://libcurl.org/)

- libsoup - HTTP client/server library for GNOME
  (https://wiki.gnome.org/action/show/Projects/libsoup)

- libecal (Evolution Data Sever)
  (https://developer.gnome.org/libecal/stable/)

- libfolks-eds: contacts from multiple sources with
  Evolution-data-server as backend
  (https://wiki.gnome.org/Projects/Folks)
